package ssw.annotation.annoview;

import org.eclipse.ui.PlatformUI;

import ssw.annotation.AnnotationFileHandler.AnnotationFile;

/*
 * Created on 17.03.2005
 */
/**
 *   Copyright (C) 2005  Stefan Loidl
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *   
 *   eMail: stefanloidl@gmx.net
 *   
 * This class is meant to be a collection of utility methods that may be used in combination 
 * with the annotation view. By now the functionality only contains methods to open an 
 * AnnotationView passing the file name of the annotation file or not passing anything.
 * 
 * @version 1.0.0 
 * @author Loidl Stefan, 0255886
 */
public class AnnotationViewUtils {

	/**
	 * Opens a annotation view with a annotation file as input. 
	 */
	public static AnnotationView openAnnotationView(AnnotationFile file) {
	    try {
	    	AnnotationView view;	
	    	view=(AnnotationView)PlatformUI.getWorkbench().getActiveWorkbenchWindow().
				getActivePage().showView("ssw.annotation.annoview.AnnotationView");
	    		
	    	if(file!=null) view.setAnnotationFile(file);
	    	return view;
	    	
	    } catch (Exception e) {
	    	return null;
	    }
	}
	
	/**
	 * Opens a blank annotation view and returns its instance.
	 * @return
	 */
	public static AnnotationView openAnnotationView(){
		return openAnnotationView(null);
	}
}
